com.explodingpixels.macwidgets

## Enum SourceListClickListener.Button

- java.lang.Object
- - java.lang.Enum<SourceListClickListener.Button>
  - - com.explodingpixels.macwidgets.SourceListClickListener.Button

All Implemented Interfaces:
  Serializable, Comparable<SourceListClickListener.Button>

Enclosing interface:
  SourceListClickListener

    public static enum SourceListClickListener.Button
    extends Enum<SourceListClickListener.Button>

Corresponds to a button on a mouse.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`LEFT`
`MIDDLE`
`RIGHT`

### Method Summary

Methods
`static SourceListClickListener.Button` `getButton(int correspondingMouseEventButton)`
`static SourceListClickListener.Button` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SourceListClickListener.Button[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### LEFT

    public static final SourceListClickListener.Button LEFT

#### MIDDLE

    public static final SourceListClickListener.Button MIDDLE

#### RIGHT

    public static final SourceListClickListener.Button RIGHT

### Method Detail

#### values

    public static SourceListClickListener.Button[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SourceListClickListener.Button c : SourceListClickListener.Button.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SourceListClickListener.Button valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getButton

    public static SourceListClickListener.Button getButton(int correspondingMouseEventButton)